<ion-header>
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Editor de perfil de usuario</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form
    [formGroup]="registerForm"
    (ngSubmit)="registerUser(registerForm.value)"
  >
    <ion-item>
      <ion-label position="floating"
        >Nombre<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="name"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.name">
        <div
          *ngIf="registerForm.get('name').hasError(validation.type) && 
          (registerForm.get('name').dirty || 
          registerForm.get('name').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Apellidos<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="lastName"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.lastName">
        <div
          *ngIf="registerForm.get('lastName').hasError(validation.type) && 
          (registerForm.get('lastName').dirty || 
          registerForm.get('lastName').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Nombre de la empresa<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="companyName"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.companyName">
        <div
          *ngIf="registerForm.get('companyName').hasError(validation.type) && 
          (registerForm.get('companyName').dirty || 
          registerForm.get('companyName').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Email<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="email"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.email">
        <div
          *ngIf="registerForm.get('email').hasError(validation.type) && 
          (registerForm.get('email').dirty || 
          registerForm.get('email').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Telefono<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="phone"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.phone">
        <div
          *ngIf="registerForm.get('phone').hasError(validation.type) && 
          (registerForm.get('phone').dirty || 
          registerForm.get('phone').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Contraceña<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input type="password" formControlName="password"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.password">
        <div
          *ngIf="registerForm.get('password').hasError(validation.type) && 
          (registerForm.get('password').dirty || 
          registerForm.get('password').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label position="floating"
        >Confirmar contraceña<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input type="password" formControlName="confirmPassword"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.password">
        <div
          *ngIf="registerForm.get('confirmPassword').hasError(validation.type) && 
          (registerForm.get('confirmPassword').dirty || 
          registerForm.get('confirmPassword').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    {{errorMessage}}

    <span *ngIf="registerForm.errors?.invalid">
      La contraceña no coincide
    </span>

    <ion-button
      expand="full"
      shape="round"
      [disabled]="!registerForm.valid"
      type="submit"
      >Registrar</ion-button
    >
  </form>
  <!---->
</ion-content>
